Mogo Inc
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
Request format
curl -X GET "https://newhedge.io/api/v2/companies/mogo-inc/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
:metric_name — one of the company metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
https://newhedge.io/api/v2/companies/mogo-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"date": 1663113600000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": null,
"holding_balance": 50.0,
"holding_net_change": 0.0,
"transaction_value_usd": 0.0,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": false
},
{
"date": 1663113600000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": null,
"holding_balance": 50.0,
"holding_net_change": 50.0,
"transaction_value_usd": 1012697.301927466,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
}
]
Bitcoin Holdings
Historical Bitcoin holdings for the company.
https://newhedge.io/api/v2/companies/mogo-inc/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
50.0
],
[
1779062400000,
50.0
],
[
1779148800000,
50.0
]
]
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
https://newhedge.io/api/v2/companies/mogo-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
3871493.0
],
[
1779062400000,
3847213.5
],
[
1779148800000,
3838000.5
]
]
Price Data
Historical market price data stored on the company profile.
https://newhedge.io/api/v2/companies/mogo-inc/price-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"low": 1.03,
"date": "2025-12-31",
"high": 1.1,
"open": 1.03,
"close": 1.07,
"volume": 161453
},
{
"low": 0.93,
"date": "2026-01-02",
"high": 1.115,
"open": 1.11,
"close": 1.01,
"volume": 139574
},
{
"low": 1.0,
"date": "2026-01-05",
"high": 1.07,
"open": 1.04,
"close": 1.04,
"volume": 176390
}
]
Company Data
Company profile, fundamentals, and related reference data.
https://newhedge.io/api/v2/companies/mogo-inc/company-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"eps_estimate_next_quarter": -0.07,
"quarterly_earnings_growth": 0.234,
"eps_estimate_current_quarter": -0.07
}
Performance Metrics
Calculated performance metrics for the company.
https://newhedge.io/api/v2/companies/mogo-inc/performance-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"one_month_return": -16.47,
"six_month_return": -47.74,
"three_month_return": -47.74
}
Treasury Metrics
Bitcoin treasury summary metrics for the company.
https://newhedge.io/api/v2/companies/mogo-inc/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"btc_percent_company": 14.8,
"total_btc_percentage": 0.0,
"share_price_change_state": "up"
}